cascading.stats.hadoop

## Class HadoopSliceStats.HadoopAttempt

- java.lang.Object
- - cascading.stats.FlowSliceStats.FlowSliceAttempt
  - - cascading.stats.hadoop.HadoopSliceStats.HadoopAttempt

Enclosing class:
  HadoopSliceStats

    public static class HadoopSliceStats.HadoopAttempt
    extends FlowSliceStats.FlowSliceAttempt

### Constructor Summary

Constructors
Constructor and Description
`HadoopSliceStats.HadoopAttempt(TaskCompletionEvent event)`

### Method Summary

Methods
`int` `getEventId()`
`java.lang.String` `getProcessAttemptID()`
`int` `getProcessDuration()`
`java.lang.String` `getProcessHostname()`
`java.lang.String` `getProcessStatus()`
`CascadingStats.Status` `getStatus()`
`java.lang.String` `getStatusURL()`

### Methods inherited from class cascading.stats.FlowSliceStats.FlowSliceAttempt

`getProcessID`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HadoopSliceStats.HadoopAttempt

    public HadoopSliceStats.HadoopAttempt(TaskCompletionEvent event)

### Method Detail

#### getProcessAttemptID

    public java.lang.String getProcessAttemptID()

Specified by:
  `getProcessAttemptID` in class `FlowSliceStats.FlowSliceAttempt`

#### getEventId

    public int getEventId()

Specified by:
  `getEventId` in class `FlowSliceStats.FlowSliceAttempt`

#### getProcessDuration

    public int getProcessDuration()

Specified by:
  `getProcessDuration` in class `FlowSliceStats.FlowSliceAttempt`

#### getProcessStatus

    public java.lang.String getProcessStatus()

Specified by:
  `getProcessStatus` in class `FlowSliceStats.FlowSliceAttempt`

#### getStatusURL

    public java.lang.String getStatusURL()

Specified by:
  `getStatusURL` in class `FlowSliceStats.FlowSliceAttempt`

#### getStatus

    public CascadingStats.Status getStatus()

Specified by:
  `getStatus` in class `FlowSliceStats.FlowSliceAttempt`

#### getProcessHostname

    public java.lang.String getProcessHostname()

Specified by:
  `getProcessHostname` in class `FlowSliceStats.FlowSliceAttempt`